
<img class='fullsize' alt='Namdhinggo - Banner' src='https://software.sil.org/wp/wp-content/uploads/2022/05/Limbu_banner.png' />

<h2 id="about">About</h2>

Namdhinggo is a Unicode font for the Limbu writing system of Nepal. It provides glyphs for all Limbu characters and some Latin.

The Limbu, or Kirat Sirijonga, script is used by around 400,000 people in Nepal and India. This Unicode-encoded font has been designed to support literacy and materials development in the Limbu language.

According to traditional histories the Limbu script was developed by King Sirijonga in the 9th Century. It then fell out of use before being reintroduced in the 18th century by Teongsi Sirijonga (1704-1741) whom many felt to be the reincarnation of the first Sirijonga. The modern Sirijonga was apparently martyred in 1741 for the sake of this script by lamas in Sikkim. The script was named "Sirijonga" in his honour by the Limbu scholar Iman Singh Chemjong.

### Data Conversion

If you have existing data using the now-obsolete *Namdhinggo SIL L* font and wish to convert your data to Unicode, you may use the [Limbu-legacy to Limbu Unicode](https://github.com/silnrsi/wsresources/tree/master/scripts/Limb/legacy/limbu-dc/mappings) TECkit mapping file to convert documents (text or Word) to Unicode. Since Namdhinggo SIL L used an encoding that is common among other fonts for the script it is possible that this mapping file will work for texts using those custom-encoded Limbu fonts.

The [DevaUni-LimUni](https://github.com/silnrsi/wsresources/tree/master/scripts/Limb/mappings/deva-limb) TECkit mapping file gives the ability to convert between Unicode-encoded Devanagari script and Unicode-encoded Limbu script.

Both maps can be used with [TECkit](https://software.sil.org/teckit/) and/or [SILConverters](https://software.sil.org/silconverters/).

*(The Namdhinggo SIL L 8-bit legacy font is available for download below in case you no longer have it installed but still need it.)*

### Keyboarding

Two separate Keyman keyboards are available.

- [Limbu Phonetic (SIL)](]https://keyman.com/keyboards/sil_limbu_phonetic) keyboard uses a Romanized layout, where the Limbu characters are located on the corresponding Latin keys (Limbu U+1901 LIMBU LETTER KA is on the "k" key, etc.).
- The [Limbu Typewriter (SIL)](https://keyman.com/keyboards/sil_limbu_typewriter) is the "Typewriter" layout, which roughly matches the layout of a manual Devanagari typewriter.

### Rendering

This font is designed to work with OpenType advanced font technology. To take advantage of the advanced typographic capability of this font, you must be using applications that provide an adequate level of support for OpenType.

<h2 id="downloads">Downloads</h2>

### License

These fonts are licensed under the [SIL Open Font License (OFL)](https://openfontlicense.org)

<img class='fullsize' alt='SIL Open Font License (OFL)' src='https://software.sil.org/wp/wp-content/uploads/2019/03/OFL_logo_rect_color.png' />

### Current Version

[sil_download style="table" sort="name" where="info.type == 'font'"]

#### Release Notes for v3.100

- Add single danda (U+0964)

### Previous Versions

[sil_download style="table" sort="-date" where="info.type == 'prev font'"]

### Legacy font (obsolete)

*This font is not encoded according to the Unicode Standard. It is a custom-encoded 8-bit legacy font.*
[sil_download style="table" sort="name" where="info.type == 'legacy font'"]

[top]

## Information for Contributors

We welcome contributions to this font project, such as new glyphs, enhanced smart font code, or bug fixes. The best way to begin the process is to file an issue in the [Github Namdhinggo project](https://github.com/silnrsi/font-namdhinggo) or respond to an existing issue and express your interest. Then we can begin to correspond with you regarding what all might be required and discuss how to best submit your contributions.

To enable us to accept contributions in a way that honors your contribution and respects your copyright while preserving long-term flexibility for open source licensing, you would also need to agree to the SIL International Contributor License Agreement for Font Software (v1.0) prior to sending us your contribution. To read more about this requirement and find out how to submit the required form, please visit the [CLA information page](https://software.sil.org/fontcla).

[top]

<h2 id="support">Support</h2>

As these fonts and utilities are distributed at no cost, we are unable to provide a commercial level of personal technical support. We will, however, try to resolve problems that are reported to us.

Before requesting technical support, please **carefully read all the documentation included with the fonts**. It can be found in the documentation folder.

[top]

<h2 id="contact">Contact</h2>

General troubleshooting information, including frequently asked questions, can be found in the documentation. Additional information is also available on the general [Font Help Guides](https://software.sil.org/fonts/guides/) pages.

### Language Software Community

[prodSupport lscpath='c/silfonts']

If that fails to answer your question, or you have a bug report, feature suggestion, or need help using the software, please contact us using the form below.

[contact-form-7 id="408" title="WSTech Products Contact Form"]

[top]
